function data()
	local version = 20191002
	local strings = {
		en = {
			eis_os_commonapi = "Common API" .. " - "..version .."",
			eis_os_commonapi_desc = "Common API provides functions for mod interoperability. Functions for track, road, bridge searching and ui handling",
			-- settings --
			setting_liststyle = "UI list style",
			setting_liststyledesc = "0 = auto, 1 = always show all entries, 2 = hide entries, 3 = sort list by year",

			setting_compressui = "Compress ui lists",
			setting_compressuidesc = "Reduce ui size by removing duplicate names",

			setting_userfilterdesc = "User Filter",
			setting_filtertracks = "Track filter",
			setting_filtertracks_desc = "A list of Lua patterns seperated by ;",
			setting_filterstreets = "Road filter",
			setting_filterstreets_desc = "A list of Lua patterns seperated by ;",

			setting_disablenative = "Disable native library extension",
			setting_disablenative_desc = "Supresses loading a dll/so library into TPF and patching the game at runtime (full restart required!)",

			setting_enablenewanimations = "Enable new animations",
			setting_enablenewanimations_desc = "New random vehicle animations (restart required!)",

			
			setting_uiscale = "UI Scale",
			setting_uiscale_desc = "The default ui scale after loading",

			setting_verbosity = "Debug verbosity",
			setting_verbosity_desc = "0 = Default, 10 = Notice, 99 = Debug",
		},
		de = {
			eis_os_commonapi_desc = "Common API für Mod Interoperabilität. Funktionen für Gleis, Strassen und Brücken Erkennung und UI Erstellung",
			Bridge = "Brücke",
			Street = "Straße",


			setting_liststyle = "UI Listentype",
			setting_liststyledesc = "0 = auto, 1 = immer alle Einträge zeigen, 2 = Einträge verstecken, 3 = sortiere nach Jahr",

			setting_compressui = "Komprimierte UI Listen",
			setting_compressuidesc = "Verkürzung von UI Einträgen bei gleichen Namen",

			setting_userfilterdesc = "Nutzer Filter",
			setting_filtertracks = "Gleisfilter",
			setting_filtertracks_desc = "Eine Liste von Lua pattern getrennt durch ;",
			setting_filterstreets = "Strassenfilter",
			setting_filterstreets_desc = "Eine Liste von Lua pattern getrennt durch ;",


			setting_disablenative = "Native lib abschalten",
			setting_disablenative_desc = "Verhindert das ändern des Spiel zur Laufzeit via dll/so (Spiel muss neugestartet werden!)",

			setting_enablenewanimations = "Neue Animationen",
			setting_enablenewanimations_desc = "Neue zufällige Fahrzeuganimationen (neustart benötigt)",


			setting_uiscale = "UI Scale",
			setting_uiscale_desc = "Legt die Größe der UI Elemente nach dem Laden fest",

			setting_verbosity = "Debug verbosity",
			setting_verbosity_desc = "0 = Normal, 10 = Mehr Information, 99 = Debug",

			-- native ui

			["StreetTrackToolbox"] = "Strassen und Gleis Toolbox",
			["Street & track toolbox"] = "Strassen und Gleis Toolbox",

			["Tracktypes"] = "Gleistypen",
			["Streettypes"] = "Strassentypen",

			["Settings"] = "Einstellungen",

			['Close menu'] = "Schließen",

			["Embankment"] = "Damm",

			["Speedlimit"] = "Geschwindigkeit",

			["Default"] = "Standard",


			["Curve & slope"] = "Kurven & Steigungen",

			["No restrictions"] = "Keine Beschränkung",

			["Mod settings"] = "Mod Einstellungen",

			["Settings"] = "Einstellungen",
			["Save"] = "Speichern",

			["More..."] = "Mehr...",

			["Mod errors:"] = "Mod Fehler:",
			["Mod dependencies:"] =  "Mod Abhängigkeiten:",

			["requires ${modId}"] = "benötigt ${modId}",
			["requires ${modname} ${version}"] = "benötigt ${modname} ${version}",
			["should be loaded after ${modname}"] = "sollte nach ${modname} geladen werden",
			["requires ${modname}, please activate"] = "benötigt ${modname}, bitte aktivieren",

			["Modlist export"] = "Modliste exportieren",
			["Modlist import"] = "Modliste importieren",

			["Modlist is empty"] = "Modliste ist leer",
		},
-- russian translation by nagor
		ru = {
			eis_os_commonapi_desc = "Common API для взаимодействия модов. Функции для обнаружения треков, дорог и мостов и создания пользовательского интерфейса(UI)",
			Bridge = "Мост",
			Street = "Дорога",


			setting_liststyle = "Вид списка UI",
			setting_liststyledesc = "0 = авто, 1 = показать все записи, 2 = скрыть записи, 3 = сортировать по годам",

			setting_compressui = "Сжатие записей UI",
			setting_compressuidesc = "Уменьшить размер пользовательского интерфейса, удалив повторяющиеся имена",

			setting_userfilterdesc = "Пользовательский фильтр",
			setting_filtertracks = "Фильтр ж/д путей",
			setting_filtertracks_desc = "Список шаблонов Lua отсортированных по ;",
			setting_filterstreets = "Фильтр дорог",
			setting_filterstreets_desc = "Список шаблонов Lua отсортированных по ;",


			setting_disablenative = "Отключить native library",
			setting_disablenative_desc = "Запрещает загрузку dll/so library (игра должна быть перезапущена!)",


			setting_uiscale = "Масштаб UI",
			setting_uiscale_desc = "Устанавливает размер элементов интерфейса после загрузки",

			setting_verbosity = "Настройка сообщений",
			setting_verbosity_desc = "0 = по умолчанию, 10 = сообщение, 99 = запись",

			-- native ui

			["StreetTrackToolbox"] =  "Свойства дорог и ж/д путей",
			["Street & track toolbox"] = "Настройки дорог и ж/д путей",

			["Tracktypes"] = "Типы ж/д путей",
			["Streettypes"] = "Типы дорог",

			["Settings"] = "Настройки",

			['Close menu'] = "Закрыть",

			["Embankment"] = "Насыпь/Мост",

			["Speedlimit"] = "Ограничение скорости",

			["Default"] = "По умолчанию",


			["Curve & slope"] = "Изгиб и уклон",

			["No restrictions"] = "Без ограничений",

			["Mod settings"] = "Настройки мода",

			["Settings"] = "Настройки",
			["Save"] = "Сохранить",

			["More..."] = "Ещё...",

			["Mod errors:"] = "Ошибка мода:",
			["Mod dependencies:"] =  "Зависимости мода:",

			["requires ${modId}"] = "требуется ${modId}",
			["requires ${modname} ${version}"] = "необходим ${modname} ${version}",
			["should be loaded after ${modname}"] = "должен быть загружен после ${modname}",
			["requires ${modname}, please activate"] = "требуется ${modname}, пожалуйста, активируйте",

			["Modlist export"] = "Экспорт Списка модов",
			["Modlist import"] = "Импорт Списка модов",

			["Modlist is empty"] = "Список модов пуст",
		},

	}

	if (TPFMM ~= nil) then
		print("commonapi: TPFMM detected, not loading commonapi")
		strings["en"]["eis_os_commonapi"] = strings["en"]["eis_os_commonapi"] .. " (TPFMM)"
		return strings
	end
	local twoversions = "\nERROR: Common API with different version installed! You can only have one Common API installed!\n\n"
	if (commonapi ~= nil) then
		if (commonapi.version ~= version) then
			error("VERSIONS MISMACH(1)" ..twoversions)
		end
	end
	local commonapiinit = require "commonapi.init"
	if (commonapiinit.version == version) then
		commonapiinit._init(strings)
	else
		error("VERSIONS MISMACH(2):" ..twoversions)
	end
	return strings
end